Skip to main content
`Ctrl`+`K`

# TaoALMMGetMultipliers

Retrieve a pointer to the Lagrange multipliers.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoALMMGetMultipliers(Tao tao, Vec *Y)

## Input Parameter

- tao - the `Tao` context for the `TAOALMM` solver

## Output Parameter

- Y - vector of Lagrange multipliers

## Notes

For problems with both equality and inequality constraints, the multipliers are combined together as Y = (Ye, Yi). Users can recover copies of the subcomponents using index sets provided by `TaoALMMGetDualIS()` and use `VecGetSubVector()`.

## See Also

`TAOALMM`, `Tao`, `TaoALMMSetMultipliers()`, `TaoALMMGetDualIS()`

## Level

advanced

## Location

src/tao/constrained/impls/almm/almmutils.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages